##### GENERAL STUFF #####
%define version    1.0.2
%define data_ver  1.0
%define release    %mkrel 1

Name:    sotg
Summary:  Stones of the Gods
Version:  %{version}
Release:  %{release}
License:  GPL
URL:    http://code.google.com/p/sotg/
Group:    Games/Puzzles
Source0:  %{name}-src-%{version}.tar.bz2
Source1:  %{name}-src-data-%{data_ver}.tar.bz2
BuildRequires:  fpc ImageMagick
Requires:  libzengl libopenal0 libmodplug0
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot


##### DESCRIPTION #####
%description
Stones of the Gods - Match-3 Game.
The objective of the game is to line up a row of minimum 3 crystals of
the same type. Placement is performed by clicking on white circles amid
the crystals. When the combination is hit, a jug with magic water is
replenished being a time counter. Transit to the next level follows
when the jug is full.

The game uses OpenGL for graphics acceleration.

Author: Kemka Andrey (Andru) <dr.andru@gmail.com>
Homepage: <http://andru.2x4.ru/games/sotg.html>



##### PREP #####
%prep
%setup -q -a 1 -n %{name}


##### BUILD #####
%build
%make


##### INSTALL #####
%install
rm -rf %{buildroot}

# "make install" doesn't work properly - copying files manually:
mkdir -p %{buildroot}%{_gamesbindir}
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/music
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/sounds
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/textures/back
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/textures/diamonds
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/textures/fx
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/textures/gui
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications

cp ./deb-bin/usr/games/sotg %{buildroot}%{_gamesbindir}
cp ./deb-bin/usr/share/applications/*.desktop %{buildroot}%{_datadir}/applications
cp ./deb-bin/usr/share//pixmaps/sotg.png %{buildroot}%{_datadir}/pixmaps
cp -R ./usr %{buildroot}

# *.desktop-file modification (XDG-Menu)
desktop-file-install --vendor="" \
  --add-category="Game" \
  --add-category="LogicGame" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*.desktop

# Icons for rpmlint
mkdir -p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
convert -scale 16x16 %{buildroot}%{_datadir}/pixmaps/%{name}.png %{buildroot}/%{_miconsdir}/%{name}.png
convert -scale 32x32 %{buildroot}%{_datadir}/pixmaps/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 48x48 %{buildroot}%{_datadir}/pixmaps/%{name}.png %{buildroot}/%{_liconsdir}/%{name}.png


##### CLEAN #####
%clean
rm -rf %{buildroot}


##### POST & POSTUN INSTALL SCRIPTS #####
%post
%update_menus

%postun
%clean_menus



##### FILE LIST #####
%files
%defattr(0644,root,root,0755)
%doc README.txt
%attr(0755,root,root) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps
%{_iconsdir}/*



##### CHANGELOG #####
%changelog
*Thu Feb 03 2009 tigger-gg <rpm@mandrivauser.de> 1.0.2-1mud2009.0
- Rebuild for x86_64

*Mon Oct 20 2008 Oliver Burger <rpm@mandrivauser.de> 1.0.2-1mud2009.0
- Rebuild for 2009.0

* Sun Sep 14 2008 Oliver Burger <rpm@mandrivauser.de> 1.0.2-1mud2008.1
- rebuild for MUde

* Sun Sep 14 2008 MaxiPunkt <email@domain.de> 1.0.2-1max
- First built for Mandriva
